Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Mastercard Authorization with a Token


Use this information to process an authorization with a token.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "code": "10000721",        "transactionId": "987654321",        "partner": {            "thirdPartyCertificationNumber": "BPCDRC220403",            "solutionId": "548UHQ8Z"        }    },    "processingInformation": {        "industryDataType": "transit",        "commerceIndicator": "retail",        "captureOptions": {            "dateToCapture": "0425"        },        "authorizationOptions": {            "authIndicator": "0",            "deferredAuthIndicator": "true",            "aggregatedAuthIndicator": "true",            "transportationMode": "00"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "USD"        }    },    "paymentInformation": {        "initiationChannel": "00"    },    "tokenInformation": {        "jti": "a76392f4-cde4-97aa-1112-0242ac14c005"    },    "pointOfSaleInformation": {        "terminalId": "12345678",        "catLevel": "2",        "entryMode": "contactless",        "terminalCapability": "5",        "terminalPinCapability": "0"    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/64823013154065933040011/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6482301315406593304011"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/6482301315406593304011/captures"        }    },    "clientReferenceInformation": {        "code": "10000721",        "partner": {            "solutionId": "548UHQ8Z"        },        "transactionId": "987654321"    },    "id": "6482301315406593304011",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "10.00",            "currency": "THB"        }    },    "paymentAccountInformation": {        "card": {            "type": "002"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "002"        },        "card": {            "type": "002"        }    },    "processorInformation": {        "systemTraceAuditNumber": "191316",        "approvalCode": "831000",        "merchantAdvice": {            "code": "01",            "codeRaw": "M001"        },        "responseDetails": "ABC",        "networkTransactionId": "016153570198201",        "retrievalReferenceNumber": "211511164721",        "consumerAuthenticationResponse": {            "code": "2",            "codeRaw": "2"        },        "transactionId": "016153570198201",        "responseCode": "00",        "avs": {            "code": "Y",            "codeRaw": "Y"        }    },    "reconciliationId": "6482301315406593304011",    "status": "AUTHORIZED",    "submitTimeUtc": "2022-03-25T17:42:11Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.initiationChannel
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
processingInformation.authorizationOptions.aggregatedAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.authIndicatorSet this field to 0.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.transportationMode
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.
tokenInformation.jtiGenerate this value using the UUID2/UUID4 data format.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.